Skip to main content
POST
/
v1
/
invoke
Invoke gateway action
curl --request POST \
  --url https://gateway.example.com/v1/invoke \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invocationId": "<string>",
  "meeting": {
    "id": "<string>",
    "roomName": "<string>"
  },
  "session": {
    "id": "<string>",
    "mode": "active"
  },
  "action": {
    "input": {},
    "id": "<string>",
    "name": "<string>"
  },
  "context": {},
  "callbacks": {
    "jobResultUrl": "<string>",
    "approvalUrl": "<string>",
    "authorization": "<string>"
  },
  "idempotencyKey": "<string>",
  "traceId": "<string>",
  "deadlineAt": "2023-11-07T05:31:56Z"
}
'
{
  "status": "completed",
  "outputText": "<string>",
  "machineSummary": "<string>",
  "dataSchemaVersion": "<string>",
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.atlasmeets.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
invocationId
string
required
meeting
object
required
session
object
required
action
object
required
context
object
required
callbacks
object
required
idempotencyKey
string
traceId
string
deadlineAt
string<date-time>

Response

Action handled by the gateway

status
enum<string>
required
Available options:
completed
outputText
string
machineSummary
string
dataSchemaVersion
string
data
object